BitMagic-C++: Data Fields - Enumerator

BitMagic-C++

### - b -

- BM_NOT_DEFINED : bm::aggregator< BV >
- BM_SHIFT_R_AND : bm::aggregator< BV >

### - c -

- ct_all : bm::chrono_taker
- ct_ops_per_sec : bm::chrono_taker
- ct_time : bm::chrono_taker

### - e -

- e_bit_block : bm::serial_stream_iterator< DEC, BLOCK_IDX >
- e_blocks : bm::serial_stream_iterator< DEC, BLOCK_IDX >
- e_gap_block : bm::serial_stream_iterator< DEC, BLOCK_IDX >
- e_list_ids : bm::serial_stream_iterator< DEC, BLOCK_IDX >
- e_one_blocks : bm::serial_stream_iterator< DEC, BLOCK_IDX >
- e_unknown : bm::serial_stream_iterator< DEC, BLOCK_IDX >
- e_zero_blocks : bm::serial_stream_iterator< DEC, BLOCK_IDX >
- eA : DNA_FingerprintScanner
- eC : DNA_FingerprintScanner
- eEnd : DNA_FingerprintScanner
- eG : DNA_FingerprintScanner
- eN : DNA_FingerprintScanner
- eT : DNA_FingerprintScanner

### - l -

- linear_cutoff1 : bm::sparse_vector_scanner< SV >
- linear_cutoff2 : bm::sparse_vector_scanner< SV >

### - m -

- max_aggregator_cap : bm::aggregator< BV >
- max_columns : bm::sparse_vector_scanner< SV >
- max_vector_size : bm::base_sparse_vector< Val, BV, MAX_SIZE > , bm::rsc_sparse_vector< Val, SV >

### - n -

- n_buffer_cap : bm::rank_compressor< BV >
- n_columns : bm::tmatrix< T, ROWS, COLS >
- n_pool_max_size : bm::pointer_pool_array
- n_rows : bm::tmatrix< T, ROWS, COLS >

### - o -

- op_done : bm::aggregator< BV >
- op_in_progress : bm::aggregator< BV >
- op_prepared : bm::aggregator< BV >
- op_undefined : bm::aggregator< BV >
- opt_compress : bm::bvector< Alloc >
- opt_free_0 : bm::bvector< Alloc >
- opt_free_01 : bm::bvector< Alloc >
- opt_none : bm::bvector< Alloc >

### - s -

- sv_g_size : bm::set2set_11_transform< SV >
- sv_octet_plains : bm::rsc_sparse_vector< Val, SV > , bm::sparse_vector< Val, BV > , bm::str_sparse_vector< CharType, BV, MAX_STR_SIZE >
- sv_plains : bm::base_sparse_vector< Val, BV, MAX_SIZE > , bm::rsc_sparse_vector< Val, SV >
- sv_value_plains : bm::base_sparse_vector< Val, BV, MAX_SIZE > , bm::rsc_sparse_vector< Val, SV >

### - v -

- value : bm::rsc_sparse_vector< Val, SV >::is_remap_support , bm::rsc_sparse_vector< Val, SV >::is_rsc_support , bm::sparse_vector< Val, BV >::is_remap_support , bm::sparse_vector< Val, BV >::is_rsc_support , bm::str_sparse_vector< CharType, BV, MAX_STR_SIZE >::is_remap_support , bm::str_sparse_vector< CharType, BV, MAX_STR_SIZE >::is_rsc_support